## xabacus 7.1.3

=== win/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 ###
 #
-#  Copyright (c) 1995 - 2004	David Albert Bagley, bagleyd@tux.org
+#  Copyright (c) 1995 - 2005	David Albert Bagley, bagleyd@tux.org
 #
 #                   All Rights Reserved
 #
@@ -61,7 +61,7 @@
 PRINT		= lpr
 #PRINT		= enscript -2r
 
-# EXTENTIONS
+# EXTENSIONS
 CEXT		= .c
 #CEXT		= .cpp
 #CEXT		= .cc
@@ -82,17 +82,25 @@
 STORE		= /dosa/$(PROGRAM)/
 STORE2		= /dosc/$(PROGRAM)/
 
-DEMOPATH	= /windows
+READPATH	= c:/windows
+#READPATH	= /windows
+BUMPSOUND	= $(READPATH)/bump.wav
+MOVESOUND	= $(READPATH)/move.wav
+
+#WINVER		= 0x030a
+WINVER		= 0x0950
 
 ##CHOME		= c:\\bc\\
 #CHOME		= c:\bc\
 #CHOME		= c:/bc/
 #CHOME		=
+CHOME		= /usr/lib/w32api
 ##INCPATH	= $(CHOME)include
 INCPATH		= /usr/local/include
-LIBPATH		= $(CHOME)lib
+#LIBPATH	= $(CHOME)lib
+LIBPATH		= $(CHOME)
 INCLUDES	= -I$(INCPATH)
-#LIBRARIES	= -L$(LIBPATH)
+LIBRARIES	= -L$(LIBPATH) -lwinmm
 
 HDRS		=\
 		$(WIDGET)P.h\
@@ -103,40 +111,45 @@
 		$(WIDGET)C$(CEXT)\
 		$(WIDGET)D$(CEXT)\
 		$(WIDGET)M$(CEXT)\
+		file$(CEXT)\
+		sound$(CEXT)\
 		$(PROGRAM)$(CEXT)
 OBJS		=\
 		$(WIDGET)$(OEXT)\
 		$(WIDGET)C$(OEXT)\
 		$(WIDGET)D$(OEXT)\
 		$(WIDGET)M$(OEXT)\
+		file$(OEXT)\
+		sound$(OEXT)\
 		$(PROGRAM)$(OEXT)
 
 LESSONS		=\
 		$(WIDGET)1.les\
-	       	$(WIDGET)2.les\
-	       	$(WIDGET)3.les\
-	       	$(WIDGET)4.les\
+		$(WIDGET)2.les\
+		$(WIDGET)3.les\
+		$(WIDGET)4.les\
 		$(WIDGET)jp1.les\
-	       	$(WIDGET)jp2.les\
-	       	$(WIDGET)jp3.les\
-	       	$(WIDGET)jp4.les\
+		$(WIDGET)jp2.les\
+		$(WIDGET)jp3.les\
+		$(WIDGET)jp4.les\
 		$(WIDGET)ko1.les\
-	       	$(WIDGET)ko2.les\
-	       	$(WIDGET)ko3.les\
-	       	$(WIDGET)ko4.les\
+		$(WIDGET)ko2.les\
+		$(WIDGET)ko3.les\
+		$(WIDGET)ko4.les\
 		$(WIDGET)ru1.les\
-	       	$(WIDGET)ru2.les\
-	       	$(WIDGET)ru3.les
+		$(WIDGET)ru2.les\
+		$(WIDGET)ru3.les
 
 TEXT		=\
 		$(WIDGET).txt\
-	       	x$(wIDGET).htm
+		x$(wIDGET).htm
 
 #OBJS		= $(SRCS:$(CEXT)=$(OEXT))
 
-#DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\" -DWINVER=0x030a
-DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\" -DWINVER=0x0950
-#DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\"
+DEFINES	=	-DWINVER=$(WINVER)\
+		-DDEMOPATH=\"$(READPATH)\"\
+		-DBUMPSOUND=\"$(BUMPSOUND)\"\
+		-DMOVESOUND=\"$(MOVESOUND)\"
 
 # large memory model: Borland, Microsoft, UNIX
 #COPT		= -ml -WE -v -w4
@@ -181,6 +194,12 @@
 $(WIDGET)M$(CEXT):	../$(WIDGET)M$(CEXT)
 	$(LN_S) ../$(WIDGET)M$(CEXT) $(WIDGET)M$(CEXT)
 
+file$(CEXT):	../file$(CEXT)
+	$(LN_S) ../file$(CEXT) file$(CEXT)
+
+sound$(CEXT):	../sound$(CEXT)
+	$(LN_S) ../sound$(CEXT) sound$(CEXT)
+
 $(PROGRAM)$(CEXT):	../x$(wIDGET)$(CEXT)
 	$(LN_S) ../x$(wIDGET)$(CEXT) $(PROGRAM)$(CEXT)
 
@@ -265,7 +284,11 @@
 	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
 
 distclean:	clean
-	$(RM) $(WIDGET)*$(CEXT) $(WIDGET)*.h $(PROGRAM).c $(LESSONS) $(TEXT)
+	$(RM) $(WIDGET)*$(CEXT) $(WIDGET)*.h $(LESSONS) $(TEXT)
+	$(RM) $(PROGRAM)$(CEXT) file$(CEXT) sound$(CEXT)
+
+lint :	$(SRCS)
+	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
 
 xpm2ico:
 	xpm2wico -f ../icons/$(wIDGET).m.xpm w$(wIDGET).ico
@@ -308,7 +331,7 @@
 			fi;\
 		done;\
 	done;\
-	for k in *.exe *.ico; do\
+	for k in *.exe *.ico *.bmp *.wav; do\
 		if [ -r $${k} ]; then\
 			cp -p $${k} $(DOSDIR)/$${k};\
 		fi;\
