## xabacus 7.1.7-1

=== win/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 ###
 #
-#  Copyright (c) 1995 - 2005	David Albert Bagley, bagleyd@tux.org
+#  Copyright (c) 1995 - 2006	David Albert Bagley, bagleyd@tux.org
 #
 #                   All Rights Reserved
 #
@@ -304,9 +304,11 @@
 
 install:	all
 	$(CP) $(PROG)$(E) `cygpath -W`
+	$(CP) $(PROG).ini `cygpath -W`
 
 uninstall:
 	$(RM) `cygpath -W`/$(PROG)$(E)
+	$(RM) `cygpath -W`/$(PROG).ini
 
 lint :	$(SRCS)
 	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
