=== debian/changelog ===
xabacus (7.1.7-1) unstable; urgency=low

  * New Mantainer. (closes: #344449)
  * Updated debian/copyright file with new mantainer.
  * Updated menu files.
  * Added suport to desktop menu (added xabacus.desktop and xmabacus.desktop
    files).
  * Updated debian/watch file.
  * New upstream release.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 16 Jan 2006 19:04:33 -0200

xabacus (7.1.6-1) unstable; urgency=low

  * New upstream release
  * Packaging upgrades

 -- Florian Ernst <florian@debian.org>  Wed, 30 Nov 2005 17:20:06 +0100

xabacus (7.1.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules: minor improvements in style
  * debian/*doc-base: fix path / name of Abacus.ps

 -- Florian Ernst <florian@debian.org>  Mon, 24 Oct 2005 18:16:19 +0200

xabacus (7.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version 3.6.2, no changes required

 -- Florian Ernst <florian@debian.org>  Tue,  9 Aug 2005 14:42:11 +0200

xabacus (7.1.3-1) unstable; urgency=low

  * New upstream release
    + includes better fix for esound problem, dropping my patch again
  * New maintainer address, many thanks to Eric Van Buggenhaut for previous
    sponsoring
  * debian/control: start Description: with lowercase letter instead

 -- Florian Ernst <florian@debian.org>  Sun, 23 Jan 2005 15:25:18 +0100

xabacus (7.1.2-1) unstable; urgency=low

  * Didn't get uploaded!
  * New upstream release
    + xabacus demo patch included, so droppping it from diff.gz
    + patch for esound applied
  * debian/control: added libesd0-dev to Build-Depends, removed
    autotools-dev (upstream takes care himself)
  * debian/copyright: update, elaborate a little bit further
  * debian/rules: adjusted to new release

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 22 Dec 2004 23:25:59 +0100

xabacus (7.0.6-2) unstable; urgency=low

  * Include patch from upstream to fix xabacus demo crash
  * debian/rules: minor reorganisation of the install targets
  * debian/xmabacus.menu: slight renaming of pixmaps to xmabacus*

 -- Florian Ernst <florian_ernst@gmx.net>  Sat, 14 Aug 2004 17:52:11 +0200

xabacus (7.0.6-1) unstable; urgency=low

  * New upstream release, new maintainer (Closes: #261432)
    + make sure the demo lessons are included (Closes: #96353)
  * echo 4 > debian/compat
  * debian/control:
    + adjusted descriptions, thanks Marek Habersack (Closes: #209879)
    + added upstream home page
    + streamlined Build-Depends, added autotools-dev
    + Standards-Version 3.6.1
  * debian/copyright:
    + added note about previous and current maintainer(s)
    + updated upstream location
    + extended copyright notice
  * debian/*{dirs,conffiles}: removed as they are not needed anymore
  * debian/*menu:
    + quoting the entries
    + include icons
  * debian/rules:
    + complete overhaul
  * debian/watch: added
  * debian/doc-base: added, including upstream's Abacus.ps

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 28 Jul 2004 12:34:25 +0200

xabacus (5.5.4-1) unstable; urgency=low

  * New upstream release
  * Corrected Description: in debian/control (closes:#131313)
  * Updated Standards-Version

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue, 30 Jul 2002 16:20:24 +0200

xabacus (5.5.2-6) unstable; urgency=low

  * changed maintainer name in debian/control.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri, 25 May 2001 20:44:02 +0200

xabacus (5.5.2-5) unstable; urgency=low

  * New maintainer
  * added conffiles as required by policy.
  * updated debian/xmabacus.dirs
  * Easthetic changes in debian/control

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 24 May 2001 03:23:42 +0200

xabacus (5.5.2-4) unstable; urgency=low

  * /usr/X11R6/lib/X11/app-defaults -> /etc/X11/app-defaults
    (closes: #86298, #86313)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Feb 2001 16:40:47 +0100

xabacus (5.5.2-3) unstable; urgency=low

  * Corrected the priority of xabacus from extra to optional in
    debian/control.
  * Corrected the section from math to games in debian/control.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  4 Feb 2001 01:57:35 +0100

xabacus (5.5.2-2) unstable; urgency=low

  * New maintainer. (closes: #68095)
  * Removed debian/info.ex from the source.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri,  2 Feb 2001 14:00:58 +0100

xabacus (5.5.2-1) unstable; urgency=low

  * New upstream release. (closes: #50821)
  * Corrected the menu entries. (closes: #60400)
  * Added missing build dependency on debhelper.
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 14 Sep 2000 14:25:42 +0200

xabacus (5.4.4-7) unstable; urgency=low

  * Made package policy and lintian compliant.

 -- Christian Kurz <shorty@debian.org>  Sun, 12 Mar 2000 11:13:19 +0100

xabacus (5.4.4-6) unstable; urgency=low

  * Recoompiled lesstif/motif binaries under the new library
  * Orphaning Package

 -- Darren Benham <gecko@debian.org>  Fri, 05 Mar 1999 19:01:03 -0800

xabacus (5.4.4-5) unstable; urgency=low

  * Moved menu file for both binaries

 -- Darren Benham <gecko@debian.org>  Sat, 27 Mar 1999 19:01:03 -0800

xabacus (5.4.4-4) unstable; urgency=low

  * fixed spelling errors
  * moved location to /usr/games to match policy

 -- Darren Benham <gecko@debian.org>  Wed, 13 Jan 1999 22:49:22 -0800

xabacus (5.4.4-3) unstable; urgency=low

  * added conflicts between motif and non-motif version (closes #27392)

 -- Darren Benham <gecko@debian.org>  Wed,  7 Oct 1998 12:50:33 -0700

xabacus (5.4.4-2) unstable; urgency=low

  * Linking with libc6
  * Added package for lesstif binary
  * Divided two binaries to two packages

 -- Darren Benham <gecko@debian.org>  Sat, 26 Sep 1998 03:08:39 -0700

xabacus (5.4.4-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Tue, 30 Jun 1998 17:21:40 -0700

Local variables:
mode: debian-changelog
End:
