=== debian/control ===
Source: xabacus
Section: games
Priority: optional
Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Uploaders: Ola Lundqvist <opal@debian.org>, Lionel Elie Mamane <lionel@mamane.lu>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev

Package: xabacus
Architecture: any
Depends: ${shlibs:Depends}
Provides: xabacus
Conflicts: xmabacus
Replaces: xabacus
Description: simulation of the ancient calculator (plain X version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This version was compiled without the Motif GUI widget library and thus
 shows limited user interface functionality. See xmabacus for the
 extended version.
 .
 Homepage: http://www.tux.org/~bagleyd/abacus.html

Package: xmabacus
Architecture: any
Depends: ${shlibs:Depends}
Priority: extra
Provides: xabacus
Conflicts: xabacus
Replaces: xabacus
Description: simulation of the ancient calculator (Motif version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This is the Motif version which shows additional functionality. It was
 compiled with lesstif2. Motif is a GUI widget library for the X Window
 system.
 .
 Homepage: http://www.tux.org/~bagleyd/abacus.html
